"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var querystring_1 = __importDefault(require("querystring"));
/**
 * Merge query maps into one big query map, concatenating values at common
 * keys together into an Array.
 */
function mergeQueryMaps() {
    var queries = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        queries[_i] = arguments[_i];
    }
    return querystring_1.default.parse(queries.map(function (query) { return querystring_1.default.stringify(query); }).join("&"));
}
exports.mergeQueryMaps = mergeQueryMaps;
function toArray(value) {
    return value instanceof Array ? value : [value];
}
exports.toArray = toArray;
